<bugID>938203<Summary>[meta] [prettify] support pretty printing ES6</Summary><Description>In Scratchpad of current Nightly, given following codes,

  foo = (x) =&gt; x+1;
  let a = [1,2,3];
  for (x of a) console.log(x);

when "Pretty Print", these codes get wrong results as this:

  foo = (x) = &gt; x + 1;
  leta = [
    1,
    2,
    3
  ];
  for (xofa) console.log(x);

the ArrowExpression "=&gt;" becomes "= &gt;", with a space in the middle.
"let a" becomes "leta", and "(x of a)" becomes "(xofa)".

This means that currently the "Pretty Print" in Scratchpad cannot correctly print chrome://ping/content/xbl/scratchpad.js itself.</Description></bugID>